ENV(1)

NAZWA
env - uruchom program w zmienionym środowisku

SKŁADNIA

env [opcja...] [nazwa=wartość]... [polecenie [arg...]]

env

OPIS
Ta strona podręcznika opisuje polecenie env w wersji GNU.

env uruchamia polecenie w środowisku, które jest zmienione argumentami wiersza poleceń. Argumenty postaci `zmienna=wartość' ustawiają zmienną środowiskową zmienna na wartość wartość. Wartość może być pusta (`zmienna='). Ustawianie zmiennej na pustą wartość jest różne od jej kasowania.

Pierwszy pozostający argument określa program, który należy wywołać; jest on przeszukiwany według zmiennej środowiskowej PATH. Wszelkie argumenty, które następują dalej są mu przekazywane.

Jeśli brak jest polecenia, wynikające środowisko jest po prostu drukowane. Jest to jak podanie polecenia printenv(1).

OPCJE

-u nazwa, --unset=nazwa
    Usuwa zmienną nazwa ze środowiska.

-, -i, --ignore-environment
    Rozpoczyna z pustym środowiskiem, ignorując odziedziczone.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy pracę.

--version
    Wyświetla numer wersji programu i kończy pracę.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-sh-utils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
printenv(1), sh-utils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi powłokowych GNU wersji 2.0.